$ErrorActionPreference = 'Stop';

$packageName= 'software-ideas-modeler'
$url        = 'https://www.softwareideas.net/Download/File/805/SoftwareIdeasModelerSetup32-11-96.exe'
$url64      = 'https://www.softwareideas.net/Download/File/806/SoftwareIdeasModelerSetup64-11-96.exe'

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64

  softwareName  = 'Software Ideas Modeler*'

  checksum      = 'a88f8a8e81cd95985100be78f865bee4f0e43506425dbe3d8c92f577f705401a'
  checksumType  = 'sha256'
  checksum64    = '7474098638a1ac1a1d9949d8a8de25378db1c08f97a4a34722878a64e15278b5'
  checksumType64= 'sha256'

  silentArgs   = '/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-' # Inno Setup
  validExitCodes= @(0)
}

Install-ChocolateyPackage @packageArgs
